import request from '@/utils/request'

// 查询网站列表
export function listWz(query) {
  return request({
    url: '/tcZz/netManage/wz/list',
    method: 'get',
    params: query
  })
}

// 查询网站详细
export function getWz(id) {
  return request({
    url: '/tcZz/netManage/wz/' + id,
    method: 'get'
  })
}

// 新增网站
export function addWz(data) {
  return request({
    url: '/tcZz/netManage/wz',
    method: 'post',
    data: data
  })
}

// 修改网站
export function updateWz(data) {
  return request({
    url: '/tcZz/netManage/wz',
    method: 'put',
    data: data
  })
}

// 删除网站
export function delWz(id) {
  return request({
    url: '/tcZz/netManage/wz/' + id,
    method: 'delete'
  })
}

// 网站批量启用禁用
export function updateIsStatus(query) {
  return request({
    url: '/tcZz/netManage/wz/isStatus',
    method: 'get',
    params: query
  })
}

// 通用导入
export function importExcel(data) {
  return request({
    url: '/tcZz/netManage/wz/common/importExcel',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}